kmplayer (1:0.12.0b+de96d9e-1) unstable; urgency=medium

  * Team upload.
  * Add the configuration for the CI on salsa.
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update renamed lintian tag names in lintian overrides.
  * Bump Standards-Version to 4.6.2, no changes required.
  * Add Rules-Requires-Root: no.
  * Rename docs to kmplayer.docs to make it clear to which package it refers.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Move the fixup up the permissions of find-media.sh after dh_auto_install,
    rather than dh_install: since there is a single binary package, everything
    is installed in the right location, so dh_install does nothing.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.80.0
    - add libkf5iconthemes-dev
    - explicitly add gettext
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Drop unused dh_auto_test override, as there are no tests to run.

 -- Pino Toscano <pino@debian.org>  Sat, 30 Sep 2023 07:45:03 +0200

kmplayer (1:0.12.0b+de96d9e-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Build-Depends: libkf5doctools-dev. (Closes: #1035772)

 -- Bastian Germann <bage@debian.org>  Fri, 11 Aug 2023 21:13:32 +0000

kmplayer (1:0.12.0b+de96d9e-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Import current git version.

  [ Simon McVittie ]
  * Don't build knpplayer. (Closes: #967558, #999459, #997118)
  * Depend on default-dbus-session-bus | dbus-session-bus (Closes: #836103)

 -- Bastian Germann <bage@debian.org>  Fri, 11 Aug 2023 17:36:49 +0000

kmplayer (1:0.12.0b-3) unstable; urgency=medium

  * Team upload.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Remove trailing whitespaces in changelog.
  * Remove empty line at the end of changelog.
  * Remove Fathi Boudra from Uploaders, as requested by the MIA team.
    (Closes: #879353)
  * Bump Standards-Version to 4.2.1, no changes required.
  * Stop using the svn-buildpackage bits in the watch file.

 -- Pino Toscano <pino@debian.org>  Sun, 25 Nov 2018 19:28:47 +0100

kmplayer (1:0.12.0b-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 3def65075c09af4961cd399e8e78ed78cca72e65 to fix
    build with Qt 5.9; patch upstream_Fix-build-with-Qt-5.9.patch.
    (Closes: #877499)
  * Bump Standards-Version to 4.1.1, no changes required.
  * Do not ship the upstream TODO file as documentation, since it is not
    useful for users.

 -- Pino Toscano <pino@debian.org>  Wed, 11 Oct 2017 22:42:41 +0200

kmplayer (1:0.12.0b-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #799466)
  * Update watch file to point to download.kde.org.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev
    - add extra-cmake-modules, qtbase5-dev, libqt5svg5-dev,
      libqt5x11extras5-dev, libphonon4qt5-dev, libkf5config-dev,
      libkf5coreaddons-dev, libkf5i18n-dev, kinit-dev,
      libkf5kdelibs4support-dev, libkf5kio-dev, libkf5mediaplayer-dev,
      libkf5parts-dev, and libkf5widgetsaddons-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Stop trying to remove oxygen icons, as there are not anymore.
  * Adjust path to find-media.sh.
  * Update the patches:
    - gcc5.diff: drop, fixed upstream
    - upstream_set-cmake_min_req-to-2.8.9-to-match-kdelibs4-policy-.patch:
      drop, backported from upstream
    - upstream_Fix-build-with-cmake-3.4.patch: drop, backported from upstream
  * Replace postinst and postrm that manually invoke ldconfig with an
    invocation of the ldconfig trigger.
  * Link in as-needed mode.
  * Use https in Vcs-Browser field.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Jun 2017 23:54:21 +0200

kmplayer (1:0.11.3d-3) unstable; urgency=medium

  * Team upload.
  * Acknowledge NMU, thanks to Matthias Klose.
  * Drop menu file, since kmplayer already provides a .desktop file.
  * Move oxygen icons removal at dh_auto_install phase; same effect as before,
    just more correct.
  * Update Vcs-* headers.
  * Backport upstream commit 4be412db53ce6342103836163c7b809f36d88a03 to add
    missing cmake_minimum_required() in buildsystem; patch
    upstream_set-cmake_min_req-to-2.8.9-to-match-kdelibs4-policy-.patch
    (Closes: #805206)
  * Backport upstream commit 53cb0b47026d12ae3428805348ea64db81837ded to fix
    build with cmake >= 3.4; patch upstream_Fix-build-with-cmake-3.4.patch.
  * Remove obsolete and unused not-installed file.
  * Remove unused kmplayer.1.docbook file.
  * Bump Standards-Version to 3.9.6, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 17 Jan 2016 18:46:18 +0100

kmplayer (1:0.11.3d-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 5. Closes: #777928.
  * Fix build on AArch64. Closes: #770966.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Jul 2015 18:08:14 +0200

kmplayer (1:0.11.3d-2) unstable; urgency=low

  * Upload to unstable

 -- Mark Purcell <msp@debian.org>  Sat, 11 May 2013 23:29:11 +1000

kmplayer (1:0.11.3d-1) experimental; urgency=low

  * New upstream release
  * debian/compat -> 9

 -- Mark Purcell <msp@debian.org>  Sat, 14 Jul 2012 17:51:34 +1000

kmplayer (1:0.11.3c-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 17 Mar 2012 07:39:29 +1100

kmplayer (1:0.11.3b-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sun, 19 Feb 2012 09:37:10 +1100

kmplayer (1:0.11.3a-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 29 Oct 2011 15:14:54 +1100

kmplayer (1:0.11.2c-1) unstable; urgency=low

  * New upstream release:

 -- Fathi Boudra <fabo@debian.org>  Wed, 06 Oct 2010 16:41:58 +0300

kmplayer (1:0.11.2b-1) unstable; urgency=low

  * New upstream release:
    - Fix filename encoding for local files. (Closes: #575849)
  * Drop libxine1-x dependency. (Closes: #575117)

 -- Fathi Boudra <fabo@debian.org>  Mon, 26 Apr 2010 10:10:05 +0300

kmplayer (1:0.11.2a-1) unstable; urgency=low

  * New upstream release:
    - Fix opening multiple files on commandline. (Closes: #542130)
  * Drop 03_sh4_support_v2.diff patch - merged upstream.

 -- Fathi Boudra <fabo@debian.org>  Mon, 22 Mar 2010 21:02:44 +0100

kmplayer (1:0.11.2-2) unstable; urgency=low

  * Replace 02_sh4_support.diff by 03_sh4_support_v2.diff patch
    to support sh4 (updated to latest code). Thanks to Nobuhiro Iwamatsu.

 -- Fathi Boudra <fabo@debian.org>  Sun, 14 Mar 2010 11:02:14 +0100

kmplayer (1:0.11.2-1) unstable; urgency=low

  * New upstream release.
  * Remove 01_rev1046843_link_with_X11.diff - stolen upstream.
  * Add 02_sh4_support.diff patch to support sh4.
    Thanks to Nobuhiro Iwamatsu. (Closes: #560124)
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/control:
    - Remove quilt build dependency
    - Bump build dependencies versions (debhelper, pkg-kde-tools).
    - Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).
  * Update debian/rules:
    - Enable parallel build (add --parallel option to dh).
    - Remove quilt sequence addon, not needed anymore
      (dpkg-source 3.0 format switch).
    - Remove override_dh_compress target, not needed anymore
      (included in pkg-kde-tools).

 -- Fathi Boudra <fabo@debian.org>  Fri, 05 Mar 2010 09:00:21 +0100

kmplayer (1:0.11.1b-2) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Add 01_rev1046843_link_with_X11.diff, it makes the package able to build
    with binutils-gold (Closes: #555021).
  * Update debian/control:
    - Bump Standards-Version from 3.8.2 to 3.8.3 (no changes needed).

  [ Fathi Boudra ]
  * Update debian/control:
    - Remove cdbs build dependency.
    - Bump debhelper and pkg-kde-tools build dependencies version.
  * Update debian/rules: convert to dh usage.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Fri, 13 Nov 2009 21:32:49 +0100

kmplayer (1:0.11.1b-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control:
    - Bump Standards-Version from 3.8.1 to 3.8.2 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Sun, 21 Jun 2009 16:29:45 +0200

kmplayer (1:0.11.1a-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Mon, 18 May 2009 12:27:37 +0200

kmplayer (1:0.11.1-1) unstable; urgency=low

  * New upstream release.
  * Remove patch to fix kmplayer.desktop install path. Commited upstream.
  * Bump compat to 7.
  * Update debian/control:
    - Cleanup build dependencies.
    - Bump debhelper to 7.
    - Bump Standards-Version from 3.8.0 to 3.8.1 (no changes needed).
    - Add dbus-x11 dependency (Closes: #514108).
  * Update debian/rules: cleanup.

 -- Fathi Boudra <fabo@debian.org>  Tue, 12 May 2009 12:26:53 +0200

kmplayer (1:0.11.0a-1) unstable; urgency=low

  * New upstream release.
  * Allow debian/watch to handle upstream -rc.
  * Move to Section: video.
  * Add ${misc:Depends}.
  * Add Build-Depends: pkg-kde-tools.
  * Remove obsolete debian/*docbook entries.
  * Upload to unstable (KDE4 is here :-).

 -- Mark Purcell <msp@debian.org>  Sat, 11 Apr 2009 10:56:09 +1000

kmplayer (1:0.11.0-3) experimental; urgency=low

  * Add patch to fix kmplayer.desktop install path.

 -- Fathi Boudra <fabo@debian.org>  Fri, 16 Jan 2009 01:41:08 +0100

kmplayer (1:0.11.0-2) experimental; urgency=low

  * Remove shipped oxygen icons. kde-icons-oxygen ships a different version.

 -- Fathi Boudra <fabo@debian.org>  Thu, 15 Jan 2009 22:42:51 +0100

kmplayer (1:0.11.0-1) experimental; urgency=low

  [ Fathi Boudra ]
  * Initial KDE 4 release.
  * Update build dependencies.
  * Bump Standards-Version to 3.8.0.
  * Merge kmplayer-common and kmplayer-plugin in kmplayer package.
  * Add konqueror to Suggests field.
  * Update long description.

  [ Mark Purcell ]
  * Add Vcs-Browser and Vcs-Svn fields.

 -- Fathi Boudra <fabo@debian.org>  Tue, 13 Jan 2009 18:03:08 +0100

kmplayer (1:0.10.0c-2) unstable; urgency=low

  [ Fathi Boudra ]
  +++ Changes by Jonathan Patrick Davies:
  * Add manpages for kxineplayer, kxvplayer and kmplayer (Closes: #458609).
  * Add build dependency on docbook2x.
  * Add rules to generate and clean manpages.
  * Update compat and debhelper version to 6.

  [ Mark Purcell ]
  * Add debian/patches/20_autoadjust from Andrea
    - translation files and default parameter values (Closes: #477451)

 -- Mark Purcell <msp@debian.org>  Tue, 29 Apr 2008 21:27:14 +1000

kmplayer (1:0.10.0c-1) unstable; urgency=low

  * New upstream release. (Closes: #397066)

 -- Fathi Boudra <fabo@debian.org>  Sat, 22 Dec 2007 15:26:45 +0100

kmplayer (1:0.10.0b-1) unstable; urgency=low

  * New upstream release. (Closes: #454794)
  * Update my e-mail address.
  * Bump Standards-Version to 3.7.3.
  * Use Homepage field.
  * Build with --as-needed linker flags.

 -- Fathi Boudra <fabo@debian.org>  Thu, 06 Dec 2007 09:26:27 +0100

kmplayer (1:0.10.0a-2) unstable; urgency=low

  * Add Depends: libxine1-x

 -- Mark Purcell <msp@debian.org>  Thu, 25 Oct 2007 21:45:35 +0100

kmplayer (1:0.10.0a-1) unstable; urgency=low

  * New upstream release.
  * Update patches. Remove 14_use_pkgconfig_for_nspr_cfg patch.
  * Remove libnspr4-dev build dependency.

 -- Fathi Boudra <fboudra@free.fr>  Sat, 20 Oct 2007 12:09:01 +0200

kmplayer (1:0.10.0-1) unstable; urgency=low

  * New upstream release. (Closes: #437982)
  * Update menu file to latest Debian menu policy.

 -- Fathi Boudra <fboudra@free.fr>  Wed, 03 Oct 2007 10:37:32 +0200

kmplayer (1:0.10.0~pre3-1) unstable; urgency=low

  * New upstream release
     - Fixes: ftbfs with g++-4.3/gcc-snapshot (Closes: #441548)

 -- Mark Purcell <msp@debian.org>  Sun, 30 Sep 2007 11:53:49 +0100

kmplayer (1:0.10.0~pre2-2) unstable; urgency=low

  * Add knpplayer to kmplayer-common package.

 -- Fathi Boudra <fboudra@free.fr>  Mon, 30 Jul 2007 11:54:42 +0200

kmplayer (1:0.10.0~pre2-1) unstable; urgency=low

  * New upstream release.
  * Add libdbus-1-dev, libdbus-glib-1-dev, libdbus-qt-1-dev, libgtk2.0-dev and
    libnspr4-dev build dependencies.
  * Remove libcairo-dev build dependency.
  * Update copyright. Add moz-sdk related licences.

 -- Fathi Boudra <fboudra@free.fr>  Sat, 28 Jul 2007 11:18:55 +0200

kmplayer (1:0.9.4a-2) unstable; urgency=low

  * Update debian/watch
  * Build-Depends: libcairo2-dev | libcairo-dev
    - libcairo is missing in dependency (Closes: #422431)

 -- Mark Purcell <msp@debian.org>  Thu, 17 May 2007 16:45:55 +0100

kmplayer (1:0.9.4a-1) unstable; urgency=low

  * New upstream release.
  * Add patch to replace deprecated -vop flag by -vf.

 -- Fathi Boudra <fboudra@free.fr>  Tue, 15 May 2007 22:01:53 +0200

kmplayer (1:0.9.4-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat,  3 Mar 2007 13:01:59 +0000

kmplayer (1:0.9.3a-1) experimental; urgency=low

  * New upstream release

  [ Fathi Boudra ]
  * Add patch to remove audio mimetypes
  * Add missing documentation and locales

  [ Mark Purcell ]
  * While I enjoy kmplayer, lets lower .desktop InitialPreference to 5

 -- Fathi Boudra <fboudra@free.fr>  Sun,  7 Jan 2007 18:50:55 +0100

kmplayer (1:0.9.3-2) unstable; urgency=low

  * Epoc to ensure version compatability with debian-multimedia.org
  * debian/watch to only review x.x.x

 -- Mark Purcell <msp@debian.org>  Mon, 30 Oct 2006 18:04:39 +0000

kmplayer (0.9.3-1) unstable; urgency=low

  [ Fathi Boudra ]
  * New upstream release
  * control: add mplayer to Suggests (Closes: #381971)
  * copyright: update author mail

 -- Fathi Boudra <fboudra@free.fr>  Wed, 20 Sep 2006 11:47:59 +0200

kmplayer (0.9.2a-1) unstable; urgency=low

  * New upstream release

 -- Fathi Boudra <fboudra@free.fr>  Mon, 12 Jun 2006 12:51:35 +0200

kmplayer (0.9.2-1) unstable; urgency=low

  [ Fathi Boudra ]
  * Initial release (Closes: #360092)
  * Set Xine as default player
  * Add libgstreamer-plugins-base0.10-dev to build-depends
  * Force a call to ldconfig for postrm/postinst
  * Bumped Standards-Version to current policy
  * Update debian/copyright according to GFDL documentations

  [ Mark Purcell ]
  * Update debian/watch to use svn-upgrade
  * Update debian/copyright
  * Add Depends: ${shlibs:Depends}
  * Add Build-Depends: libxv-dev

 -- Fathi Boudra <fboudra@free.fr>  Thu, 18 May 2006 19:40:27 +0100
